//Lalava Station shaders by Raven and Gigon

textures/el_lalava/lalava
{
        
	q3map_lightimage textures/el_lalava/lightref00.tga
        qer_editorimage textures/el_lalava/el_skybox.tga
        q3map_surfacelight 250
        surfaceparm noimpact
	surfaceparm nomarks
        surfaceparm nolightmap
        surfaceparm sky
        q3map_sun 1 1 1 75 90 90 
	skyParms env/lalava 512 -
}

textures/el_lalava/el_grille
{
    surfaceparm metalsteps
    surfaceparm trans
    cull disable
    {
        map textures/el_lalava/el_grille.tga
        alphaFunc GE128
        blendFunc GL_ONE GL_ZERO
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/el_lalava/el_lalaff
{
    qer_editorimage textures/el_lalava/el_lalaff.tga
    qer_nocarve
    qer_trans 0.45
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm shotclip
    surfaceparm forcefield
    cull disable
    {
        map textures/el_lalava/el_lalaff.tga
        blendFunc GL_ONE GL_ONE
        tcMod scroll 1292.7 11233.9
    }
}

textures/el_lalava/el_eau
{
    qer_editorimage textures/el_lalava/el_eau.tga
    qer_nocarve
    qer_trans 0.6
    surfaceparm nolightmap
    surfaceparm water
    surfaceparm trans
    surfaceparm pointlight
    tessSize 53
    cull disable
    sort 8
    {
        map textures/el_lalava/el_eau.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
 	  tcMod turb 0 0.08 0.008 -0.08
    }
    {
        map textures/el_lalava/el_eau.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbGen vertex
 	  tcMod turb 0 0.08 -0.05 0.06
    }
}

textures/el_lalava/el_lalavalava
{
    surfaceparm lava
    qer_trans 0.8
    surfaceparm nolightmap
    surfaceparm nosteps
    surfaceparm trans
    cull disable
    deformVertexes wave 200 sin 0 1 0 0.25
    tessSize 96
    {
        map textures/el_lalava/el_lalavalava.tga
        rgbGen identity
        tcMod scroll -0.02 -0.01
    }
    {
        map textures/el_lalava/el_lalavalava_flosh.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        rgbGen identity
        tcMod scale 2 2
        tcMod scroll 0.01 0.02
    }
    {
        map textures/el_lalava/el_lalavalava_flosh.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        detail
        rgbGen identity
        tcMod scale 3 3
        tcMod scroll -0.015 -0.025
    }
}

textures/el_lalava/greysquare2_nacelle_yellow
{
    qer_editorimage textures/common/greysquare2_nacelle.tga
    {
        map $lightmap
    }
    {
        map textures/common/greysquare2_nacelle.tga
        blendFunc GL_DST_COLOR GL_ZERO
    }
    {
        map textures/el_lalava/nacelle_yellow.tga
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin 0.4 0.2 0.25 0.4
    }
}

//dcalques
textures/el_lalava/d_lalavastation
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_lalava/d_lalavastation.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_lalava/d_lalavaup
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_lalava/d_lalavaup.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_lalava/d_bunkera
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_lalava/d_bunkera.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_lalava/d_bunkerb
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_lalava/d_bunkerb.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_lalava/d_bunkerc
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_lalava/d_bunkerc.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_lalava/d_bunkerd
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_lalava/d_bunkerd.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/el_lalava/d_bunkere
{
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    polygonOffset
    {
        map textures/el_lalava/d_bunkere.tga
        alphaFunc GT0
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}